---
# tasks file for envfilegen
#- name: Generate Files
#ansible.builtin.file

- name: Create target dir
  ansible.builtin.file:
    path: "{{ playbook_dir }}/target"
    state: directory

- name: Ensure we don't have a file already there from previous run.
  ansible.builtin.file:
    path: "{{ playbook_dir }}/target/appsettings.json"
    state: absent

- name: Generate JSON
  ansible.builtin.template:
    src: appsettings.json.j2
    dest: "{{ playbook_dir }}/target/appsettings.json"